Skip to main content
GET
/
api
/
v1
/
fundings
Get Account Fundings
curl --request GET \
  --url https://user-account.sandbox.rails.xyz/api/v1/fundings \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://user-account.sandbox.rails.xyz/api/v1/fundings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://user-account.sandbox.rails.xyz/api/v1/fundings', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "fundings": [
    {
      "dataType": "FUNDING",
      "market": "ETH-USDT",
      "value": "-1.51989368",
      "rate": "-0.04",
      "indexPrice": "3799.73421126312",
      "positionSize": "-1",
      "txCreated": 1716921945759
    }
  ],
  "last": "ETH-USDT#FUNDING#01J4MD3R7N4HH4G76PT47VG3QC#1716921945759"
}
{
  "message": "Unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Market name. Example value: ETH-USDT. To get all supported markets, call /api/v1/markets endpoint. Omit this parameter to get results across all markets.

start
string

This is a parameter to support pagination. Get the value from the last field if present in the previous response.

Response

fundings
object[]
required

List of funding fee transactions for the account.

last
string

This is a field in the response to support pagination. Use this value if present for the start parameter of the following request to get the next page of results.